Topics

[espeak-ng:master] reported: Misrendering of the word "wherever" #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #437 Misrendering of the word "wherever"
By valdisvi:

The most stable thing is fossilized corpse. I tried to bisect it (and probably Reece also), but older espeak versions were not compiling on my current environment, therefore bisecting this bug was not as easy as it could. If actual reason cannot be fixed, then quick workaround is just changing pronunciation rule as I mentioned earlier.

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #437 Misrendering of the word "wherever"
By rhdunn:

You should start by reproducing it on version 1.49.2 and the latest version. Per https://github.com/espeak-ng/espeak-ng/issues/437#issuecomment-588718533, I've not been able to reproduce the bug with the latest code. It may either be a bug that has been fixed after 1.49.2, or a hardware specific bug like the one on some of the Debian build machines.

Version 1.49.0 should be buildable, IIRC, and earlier versions will require espeakedit and wxWidgets, so would cause issues building.

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #437 Misrendering of the word "wherever"
By RhyanJohnson:

sudo apt-get install espeak-ng -y installs 1.49.2 so I assumed this was the latest version. This is the version causing issue. I see 1.50 was released in December - is there a simple command line installation for 1.50?

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #437 Misrendering of the word "wherever"
By rhdunn:

I've built and checked 1.49.2 and can see inconsistent behaviour like demonstrated above. With 1.50, I am unable to reproduce the behaviour. There were issues with the emoji support introduced in 1.49.2 that caused issues like this, so this issue was likely fixed when one of those was fixed.

@RhyanJohnson Can you test with 1.50 and confirm if this is still an issue for you?

@PetrochukM espeak-ng 1.50 should be more stable than espeak, as the crashes introduced in espeak-ng 1.49.2 from the emoji support should be fixed. The espeak-ng code contains various security fixes that espeak does not have.

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #437 Misrendering of the word "wherever"
By rhdunn:

For Ubuntu, 1.50 is in focal (https://packages.ubuntu.com/focal/espeak-ng and others). Installing those deb files may work. Otherwise, https://github.com/espeak-ng/espeak-ng/blob/master/docs/building.md#linux-mac-bsd describes how to build espeak-ng from source on Debian/Ubuntu.

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #437 Misrendering of the word "wherever"
By valdisvi:

By focal Reece means Ubuntu 20.04 (Focal Fossa), which currently is available as beta.